POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "c986693a-8cce-468b-9117-ac84feebf19f",
"key": "59b1cb16-7f65-4531-9f87-bb8189f0ada2",
"pc_id": "a0b0b3be-4d91-406f-89f3-783cadd0de07",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>c986693a-8cce-468b-9117-ac84feebf19f</id> <key>59b1cb16-7f65-4531-9f87-bb8189f0ada2</key> <pc_id>a0b0b3be-4d91-406f-89f3-783cadd0de07</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"dc6e3162-aceb-4f01-96fd-0966ef1e9027"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">dc6e3162-aceb-4f01-96fd-0966ef1e9027</guid>